Bug 16267 - Unlisted Card failure.
Unlisted Card failure.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Florence Beta-3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-15 12:40 EDT by Henri Schlereth
Modified: 2007-04-18 12:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-22 18:33:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henri Schlereth 2000-08-15 12:40:10 EDT
If you choose Unlisted Card --> VGA16 Server
you get XFree86-VGA16 Server not available <still>.

Granted if you choose Unsupported VGA compatible it will pick VGA16 just fine, but shouldnt both work?
Comment 1 Michael Fulbright 2000-08-16 13:01:22 EDT
How did you get to this screen?

Is this a text mode or GUI install?
Comment 2 Henri Schlereth 2000-08-16 15:49:21 EDT
That would be text mode.
Comment 3 Michael Fulbright 2000-08-17 11:07:42 EDT
That would mean it is an Xconfigurator issue.
Comment 4 Trond Eivind Glomsrxd 2000-08-17 11:19:02 EDT
Xconfigurator doesn't tell the installer what to install.... is it kudzu?
Comment 5 Bill Nottingham 2000-08-17 11:21:46 EDT
Yes.  Do we want the installer to install VGA16 if no
X server is specified?b
Comment 6 Trond Eivind Glomsrxd 2000-08-17 11:25:36 EDT
I think so... but I also have a feeling about this being a Trident card (much
reported), so it would know. I think the reporter may just have specified a
non-default card during the installation?
Comment 7 Henri Schlereth 2000-08-17 12:42:40 EDT
Actually,  I specified no card. It brings up the list of supported video cards,
if I chose
unsupported VGA it will install the VGA server. I choose unlisted card and pick
VGA server
it says VGA16 server not available.

This card is not a Trident. I have about 80% Tridents on my network. We
affectionately 
call this a "Chairman Mao VGA card". No markings on the card, no recognizable
chip on the
card. I could have easily replaced this with a Graphics Blaster but I thought it
would be
better to continue testing with the existing conditions.

Henri
Comment 8 Michael Fulbright 2000-08-21 12:35:48 EDT
Sounds like a problem in the anaconda code which asks the user for what server
to use if none could be
probed.
Comment 9 Brent Fox 2000-12-03 22:59:28 EST
The installer that is currently in CVS tries to run the framebuffer first.  If
this card is VESA 2 compliant, then the installer should run over the frame
buffer.  Please reopen if the problem appears in the next release.
Comment 10 Henri Schlereth 2000-12-25 01:00:33 EST
This time I have a bit more information. It still doesnt detect the card and
when you chose
unlisted card --> server vga16 it says again vga server packeage not available.
The chip on the video card is a cirrus-logic GD5402-550C-B w/ an AVGA2 bios.
Comment 11 Brock Organ 2001-01-11 11:11:38 EST
although we don't have a cirrus-logic GD5402-550C-B card in our test lab, tests
with other cards that bring up that dialog seem to work better ... "Unlisted
Card" is not an option, and choosing "Custom" didn't have this error using one
of our "Chairman Mao" cards ... please reopen if you still see this problem in
beta2 or later ... thanks for your report
Comment 12 Henri Schlereth 2001-01-16 16:04:53 EST
Same problem in beta 2(Florence).
Comment 13 Brent Fox 2001-01-17 11:41:17 EST
What kind of install are you trying...NFS or cd-rom?
Comment 14 Henri Schlereth 2001-01-17 12:31:54 EST
cd-rom. Text -server.

Comment 15 Matt Wilson 2001-01-22 18:32:43 EST
Index: xf86config.py
===================================================================
RCS file: /mnt/devel/CVS/anaconda/xf86config.py,v
retrieving revision 1.138
diff -u -r1.138 xf86config.py
--- xf86config.py	2001/01/19 20:01:25	1.138
+++ xf86config.py	2001/01/22 22:40:11
@@ -714,7 +714,7 @@
         # all the straight servers
         for server in [ "3DLabs", "8514", "FBDev", "I128",
                         "Mach8", "Mach32", "Mach64", "Mono",
-                        "P9000", "S3", "S3V", "SVGA", "W32" ]:
+                        "P9000", "S3", "S3V", "SVGA", "W32", "VGA16" ]:
             cards["Generic " + server] = { "SERVER" : server,
                                            "NAME"   : "Generic " + server }
         
Comment 16 Matt Wilson 2001-01-22 18:33:20 EST
should be fixed in beta3.

Note You need to log in before you can comment on or make changes to this bug.